Android Studio 3.1.3升级至3.6.1后旧项目的兼容操作方法

因为gradle大幅升级至5 , as gradle plugin升级至3.6, 导致一些旧的项目基本重新编译时会出现各种错误, 经过各种尝试后, 得出一个付出成本最低,又能兼容旧项目的解决方法:

1/ 先屏蔽as的gradle升级提示, 它真是不厌其烦地提醒, 你若不小心点了升级, 极有可能让你的项目编译不了

2/打开旧项目, 如果项目中有用到annotationProcessor或androidannotations,DBFlow这类有预编译处理的依赖, 那多半死活不能编译的了, 最有效的方法就是File->Invalidate caches/Restart, 然后再打开该项目,File-> Sync Project with Gradle files, 然后再编译

再次提醒, 这个Gradle每次升级都会对旧的Gradle项目各种不兼容, 最有效的方法就是旧项目保持原来的Gradle&Gradle plugin版本!!

总结

到此这篇关于Android Studio 3.1.3升级至3.6.1后旧项目的兼容操作方法的文章就介绍到这了,更多相关android studio 3.1.3升级至3.6.1旧项目的兼容内容请搜索以前的文章或继续浏览下面的相关文章希望大家以后多多支持!

若文章对您有帮助,帮忙点个赞!

0
1
发布时间 2020-03-15 15:02:11
0 条回复(回复会通过微信通知作者)
点击加载更多评论
登录 后再进行评论
(微信扫码即可登录,无需注册)